relaxngcc.builder

## Class AutomatonBuilder

- java.lang.Object
- - relaxngcc.builder.AutomatonBuilder

All Implemented Interfaces:
  PatternFunction

    public class AutomatonBuilder
    extends java.lang.Object
    implements PatternFunction

Builds an automaton from `Scope` object.

This function returns `String`.

Author:
  Daisuke Okajima, Kohsuke Kawaguchi (kk@kohsuke.org)

### Constructor Summary

Constructors
Constructor and Description
`AutomatonBuilder(NGCCGrammar grammar, ScopeInfo scope)`

### Method Summary

Methods
`void` `addError(BuildError err)`
`java.lang.Object` `attribute(AttributePattern pattern)`
`void` `build()`
`java.lang.Object` `choice(ChoicePattern pattern)`
`java.lang.Object` `data(DataPattern pattern)`
`java.lang.Object` `element(ElementPattern pattern)`
`java.lang.Object` `empty(EmptyPattern pattern)`
`java.lang.Object` `group(GroupPattern pattern)`
`java.lang.Object` `interleave(InterleavePattern pattern)`
`java.util.Iterator` `iterateErrors()`
`java.lang.Object` `javaBlock(JavaBlock block)`
`java.lang.Object` `list(ListPattern pattern)`
`java.lang.Object` `notAllowed(NotAllowedPattern pattern)`
`java.lang.Object` `oneOrMore(OneOrMorePattern pattern)`
`java.lang.Object` `ref(RefPattern pattern)`
`java.lang.Object` `scope(Scope scope)`
`java.lang.Object` `value(ValuePattern pattern)`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### AutomatonBuilder

    public AutomatonBuilder(NGCCGrammar grammar,
                    ScopeInfo scope)

### Method Detail

#### build

    public void build()

#### element

    public java.lang.Object element(ElementPattern pattern)

Specified by:
  `element` in interface `PatternFunction`

#### attribute

    public java.lang.Object attribute(AttributePattern pattern)

Specified by:
  `attribute` in interface `PatternFunction`

#### data

    public java.lang.Object data(DataPattern pattern)

Specified by:
  `data` in interface `PatternFunction`

#### empty

    public java.lang.Object empty(EmptyPattern pattern)

Specified by:
  `empty` in interface `PatternFunction`

#### notAllowed

    public java.lang.Object notAllowed(NotAllowedPattern pattern)

Specified by:
  `notAllowed` in interface `PatternFunction`

#### value

    public java.lang.Object value(ValuePattern pattern)

Specified by:
  `value` in interface `PatternFunction`

#### list

    public java.lang.Object list(ListPattern pattern)

Specified by:
  `list` in interface `PatternFunction`

#### javaBlock

    public java.lang.Object javaBlock(JavaBlock block)

Specified by:
  `javaBlock` in interface `PatternFunction`

#### group

    public java.lang.Object group(GroupPattern pattern)

Specified by:
  `group` in interface `PatternFunction`

#### choice

    public java.lang.Object choice(ChoicePattern pattern)

Specified by:
  `choice` in interface `PatternFunction`

#### interleave

    public java.lang.Object interleave(InterleavePattern pattern)

Specified by:
  `interleave` in interface `PatternFunction`

#### oneOrMore

    public java.lang.Object oneOrMore(OneOrMorePattern pattern)

Specified by:
  `oneOrMore` in interface `PatternFunction`

#### ref

    public java.lang.Object ref(RefPattern pattern)

Specified by:
  `ref` in interface `PatternFunction`

#### scope

    public java.lang.Object scope(Scope scope)

Specified by:
  `scope` in interface `PatternFunction`

#### addError

    public void addError(BuildError err)

Specified by:
  `addError` in interface `PatternFunction`

#### iterateErrors

    public java.util.Iterator iterateErrors()